Subject: bug#76955: 30.1; php-ts-mode-php-executable default path may not match remote path

From: Vincenzo Pupillo <[email-masked]>
Date: Sat, 15 Mar 2025 14:05:23 +0100

In data sabato 15 marzo 2025 09:58:58 Ora standard dell’Europa centrale, Eli 
Zaretskii ha scritto:
> > From: Vincenzo Pupillo <[email-masked]>
> > Cc: [email-masked]
> > Date: Fri, 14 Mar 2025 21:29:20 +0100
> > 
> > Ciao Eli, the patch is attached.
> 
> Thanks, but this is IMO worse than what I suggested, which was to call
> executable-find every time the program is invoked for remote systems.
> The idea is that the users can customize php-ts-mode-php-executable
> for their local setup, without affect the remote setup in any way.
> The change you posted doesn't allow that: users will have to make sure
> the same value is valid on both local and all of the remote systems,
> which is not always possible.

Sorry I misinterpreted what you wrote:
>So I conclude that expecting “php” to be on PATH on remote systems is
> a requirement, since nothing else will work reliably enough, and let's
> close this discussion at that.
Vincenzo